GetLast1000BotVotesResponse
Type Alias: GetLast1000BotVotesResponse
GetLast1000BotVotesResponse =
object[]
Defined in: v0/index.ts:183
Gets the last 1000 voters for your bot.
If your bot receives more than 1000 votes monthly you cannot use this endpoints and must use webhooks and implement your own caching instead.
This endpoint only returns unique votes, it does not include double votes (weekend votes).
Routes
- GET
/bots/:bot_id/votes
Type Declaration
avatar?
optionalavatar?:string
The avatar hash of the user that voted.
TODO: Can be null? Can be undefined? Is it always present? Need to confirm.
id
id:
Snowflake
The Discord ID of the user that voted.
username
username:
string
The username of the user that voted, including discriminator (e.g., “wumpus#0000”).
TODO: It’s called “username” but can be uppsercase?? It would be the global_name then.